cancel
Showing results for 
Search instead for 
Did you mean: 

Extention Manager – Check Component Dependency

Extention Manager – Check Component Dependency

Hi

 

I'm new to Magento. I just installed Magento 2.2.1 All requirements were checked before installation.

 

Now I want to install extentions:

magenerds/language-de_de 1.0.2

magenerds/module-germanlaw 1.0.3

 

The Readyness Checks fail with both:

Check Component Dependency

We found conflicting component dependencies. Hide detail

For additional assistance, see component dependency help 

 
PHP Extensions Check

1 missing PHP extensions. 

PHP Extension soap

 

In tried and searched a lot (others seem to have the same problem, I didn't find a solution …) including long discussions with my hosting provider. What can I do (Oh, I don't have access to command lines on this server)

 

Thanks a lot 

Uwe

Tags (1)
7 REPLIES

Re: Extention Manager – Check Component Dependency

What were the details of the discussions with your hosting provider? Particularly without SSH/command line access. Them installing and configuraing the PHP extension for soap is the only way around this one. Did they disagree with the statement that it wasn't installed?

----
If you've found one of my answers useful, please give "Kudos" or "Accept as Solution" as appropriate. Thanks!

Re: Extention Manager – Check Component Dependency

Hi Tom

 

Actually I tried the installation 2x. The first one came from my provider. Here I only had the error message "Check Component Dependency". The extension for soap was not an issue.

 

Then when they didn't have a solution I deleted everything and download the newest package from Magento.com. Here I got both error messages.

 

Best

 

Re: Extention Manager – Check Component Dependency

It's unclear to me if you're still getting the php soap extension error, if you are, the hosting company need to resolve. If you're getting another error related to component dependency then please provide the full logs of the error, thanks. 

----
If you've found one of my answers useful, please give "Kudos" or "Accept as Solution" as appropriate. Thanks!

Re: Extention Manager – Check Component Dependency

Hi Tom

 

I'll check with my hosting provider tomorrow and let you know. 

 

Regarding Component Dependencies I got the following – is this what you need?

 

Problem 1
- Installation request for magento/product-community-edition 2.2.1 -> satisfiable by magento/product-community-edition[2.2.1].
- magenerds/language-de_de 1.0.2 requires magento/framework 100.1.* -> satisfiable by magento/framework[100.1.0, 100.1.1, 100.1.2, 100.1.3, 100.1.4, 100.1.5, 100.1.6, 100.1.7, 100.1.8, 100.1.9, 100.1.10].
- Can only install one of: magento/framework[101.0.1, 100.1.0].
- Can only install one of: magento/framework[101.0.1, 100.1.1].
- Can only install one of: magento/framework[101.0.1, 100.1.2].
- Can only install one of: magento/framework[101.0.1, 100.1.3].
- Can only install one of: magento/framework[101.0.1, 100.1.4].
- Can only install one of: magento/framework[101.0.1, 100.1.5].
- Can only install one of: magento/framework[101.0.1, 100.1.6].
- Can only install one of: magento/framework[101.0.1, 100.1.7].
- Can only install one of: magento/framework[101.0.1, 100.1.8].
- Can only install one of: magento/framework[101.0.1, 100.1.9].
- Can only install one of: magento/framework[100.1.10, 101.0.1].
- magento/product-community-edition 2.2.1 requires magento/framework 101.0.1 -> satisfiable by magento/framework[101.0.1].
- Installation request for magenerds/language-de_de 1.0.2 -> satisfiable by magenerds/language-de_de[1.0.2].

 

Thank you in advance!

 

Re: Extention Manager – Check Component Dependency

Composer messages are pretty useless and pretty difficult to understand. What I think this is suggesting is that there's an incompatiblity with the magenerds extension and Magento 2.2.1. From what I can see their extension on github was updated recently though which I think was a fix for this.  Have you installed their extension from packagist or marketplace? Could you try a composer update before you try installing again?

----
If you've found one of my answers useful, please give "Kudos" or "Accept as Solution" as appropriate. Thanks!

Re: Extention Manager – Check Component Dependency

I got the extension through the market place.

 

And trying a composer update … do I need to do it by command line (to which I don't have access) or is there an installation routine?

 

Thanks a lot!

Re: Extention Manager – Check Component Dependency

It may be they haven't uploaded the latest version of the extension to Magento Marketplace yet or it hasn't gotten through the verification process. I'd recommend checking in with magenerds support. 

 

Hmm, I think you'll be able to do that in essence using the component manager http://devdocs.magento.com/guides/v2.0/comp-mgr/module-man/compman-start.html

----
If you've found one of my answers useful, please give "Kudos" or "Accept as Solution" as appropriate. Thanks!